Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util.cache
Class CannotCalculateSizeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jivesoftware.util.cache.CannotCalculateSizeException

All Implemented Interfaces:
  Serializable

    public class CannotCalculateSizeException

extends Exception

Flags an exception when we cannot determine size of the object to be cached.

Author:
  Marcin Cieslak
See Also:
  Serialized Form

Field Summary
`static long` | `serialVersionUID`

Constructor Summary
`CannotCalculateSizeException()`
`CannotCalculateSizeException(Object obj)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### CannotCalculateSizeException

    public CannotCalculateSizeException()

### CannotCalculateSizeException

    public CannotCalculateSizeException(Object obj)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.